## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StdBinInputStream Class Reference

`#include <StdBinInputStream.hpp>`

Inheritance diagram for StdBinInputStream:

[legend]
Collaboration diagram for StdBinInputStream:

[legend]
List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  BinInputStream ParentType
- typedef std::istream StreamType

## Public Methods

- StdBinInputStream (StreamType &theStream)
- virtual ~StdBinInputStream ()
- virtual unsigned int curPos () const
- virtual unsigned int readBytes (XMLByte *const toFill, const unsigned int maxToRead)

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER BinInputStream StdBinInputStream::ParentType

typedef std::istream StdBinInputStream::StreamType

## Constructor & Destructor Documentation

StdBinInputStream::StdBinInputStream ( | StreamType & theStream )

StdBinInputStream::~StdBinInputStream ( | )`[virtual]`

## Member Function Documentation

unsigned int StdBinInputStream::curPos ( | ) const`[virtual]`

unsigned int StdBinInputStream::readBytes ( | XMLByte *const toFill,
| const unsigned int maxToRead )`[virtual]`

The documentation for this class was generated from the following file:

- StdBinInputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.